Name: leafnode
Version: 1.9.43
Release: 0.fdr.1.rh90
Epoch:          0
Summary:	Leafnode - a leafsite NNTP server (Version %version)
Summary(de): 	Leafnode - ein offline-Newsserver (Version %version)
License: 	MIT, GPL, LGPL
Group: 		Applications/Internet
Url: 		http://www.leafnode.org
Source0: 	http://download.sf.net/leafnode/leafnode-1.9.43.rel.tar.bz2
Source1: 	leafnode.xinetd
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: 	pcre-devel
Requires:	xinetd

%define confdir  %{_sysconfdir}/leafnode
%define spooldir %{_localstatedir}/spool/news
%define lockfile %{_localstatedir}/spool/news/leaf.node/lock.file

%description
Leafnode is a small NNTP server for leaf sites without permanent
connection to the internet. It supports a subset of NNTP and is able to
automatically fetch the newsgroups the user reads regularly from the
newsserver of the ISP.

%description -l de
Leafnode ist ein offline-Newsserver, der vor allem fr den typischen
Einzelnutzer-Rechner ohne permanente Internetanbindung geeignet ist.
Leafnode bezieht automatisch die Newsgroups, die der oder die Nutzer
regelmig lesen, vom Newsserver des Providers.

%prep

%setup -n leafnode-1.9.43.rel


%build
%configure --with-spooldir=%spooldir --sysconfdir=%confdir --with-lockfile=%lockfile

make %{?_smp_mflags}
make check

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install
for i in $RPM_BUILD_ROOT/%{_sysconfdir}/leafnode/*.example ; do
  cp -p $i ${i%%.example}
done
rm $RPM_BUILD_ROOT/%{_sysconfdir}/leafnode/*.example
mkdir -p $RPM_BUILD_ROOT/%{_sysconfdir}/cron.daily
install -m755 leafnode.cron.daily $RPM_BUILD_ROOT/%{_sysconfdir}/cron.daily/leafnode
mkdir -p $RPM_BUILD_ROOT/%{_sysconfdir}/xinetd.d
install -m644 %SOURCE1  $RPM_BUILD_ROOT/%{_sysconfdir}/xinetd.d/leafnode
rm $RPM_BUILD_ROOT/%{_sysconfdir}/leafnode/Makefile.dist
rm $RPM_BUILD_ROOT/%{_sysconfdir}/leafnode/nntp.rules.dist
rm $RPM_BUILD_ROOT/%{_sysconfdir}/leafnode/run.tcpd.dist
rm $RPM_BUILD_ROOT/%{_sysconfdir}/leafnode/run.tcpserver.dist
rm $RPM_BUILD_ROOT/%{_sysconfdir}/leafnode/UNINSTALL-daemontools
rm -f doc_german/Makefile* doc_german/*.in


%files
%defattr(-,root,root)
%attr(750,root,news) %dir %confdir/
%config(noreplace) %attr(640,root,news) %confdir/config
%config(noreplace) %attr(640,root,news) %confdir/filters
%config(noreplace) %{_sysconfdir}/cron.daily/leafnode
%config(noreplace) %{_sysconfdir}/xinetd.d/leafnode
%{_bindir}/*
%{_sbindir}/*

%doc %_mandir/man1/*
%doc %_mandir/man8/*

%doc COPYING COPYING.GPL COPYING.LGPL CREDITS ChangeLog ChangeLog.old
%doc FAQ.txt FAQ.html FAQ.pdf FAQ.xml INSTALL
%doc NEWS PCRE_README README* TODO
%doc doc_german KNOWNBUGS leafnode-SA-*

%dir %attr(2755,news,news) %spooldir
%dir %attr(2755,news,news) %spooldir/leaf.node
%dir %attr(775,news,news) %spooldir/failed.postings
%dir %attr(775,news,news) %spooldir/interesting.groups
%dir %attr(2755,news,news) %spooldir/out.going
%dir %attr(755,news,news) %spooldir/temp.files
%dir %attr(2755,news,news) %spooldir/message.id
%dir %attr(2755,news,news) %spooldir/message.id/*

%clean
rm -rf $RPM_BUILD_ROOT

%changelog

* Sun Sep 21 2003 Andreas Pfaffeneder <fedora@zuhause-local.de> 0:1.9.43-0.fdr.1
- Including new files leafnode-SA*, KNOWNBUGS

* Thu Sep 16 2003 Andreas Pfaffeneder <fedora@zuhause-local.de> 0:1.9.43-0.fdr.0
- Update to 1.9.43.rel

* Fri Aug 01 2003 Andreas Pfaffeneder <fedora@zuhause-local.de> 0:1.9.42-0.fdr.5
- Proper file permissions, changelog, buildrequires and requires

* Fri Aug 01 2003 Andreas Pfaffeneder <fedora@zuhause-local.de> 0:1.9.42-0.fdr.4
- Cleaned up changelog, changed builreq to explicit xinetd

* Mon Jul 28 2003 Andreas Pfaffeneder <fedora@zuhause-local.de> 0:1.9.42-0.fdr.3
- More cleanup: requires, license, *.in-files, directory ownership, daemon-tools

* Thu Jul 24 2003 Andreas Pfaffeneder <fedora@zuhause-local.de> 0:1.9.42-0.fdr.2
- More cleanup, "%doc (DE)" stays the same, working build

* Tue Jul 22 2003 Andreas Pfaffeneder <fedora@zuhause-local.de> 0:1.9.42-0.fdr.1
- Cleaned up spec-file a little bit, build with SMP-Flags
- This spec still needs more work especially "%doc (DE)" and
- "% configure" is still a issue
- reloaced binaries to /usr/local/bin and /usr/local/sbin

* Mon Jul 21 2003 Andreas Pfaffeneder <fedora@zuhause-local.de> 0:1.9.42-0.fdr.0
- Initial Fedora-RPM release.


